Index: main/manager.c
===================================================================
--- main/manager.c	(revision 292408)
+++ main/manager.c	(working copy)
@@ -2834,7 +2834,6 @@
 	if (s->session->waiting_thread == pthread_self()) {
 		struct eventqent *eqe = s->session->last_ev;
 		astman_send_response(s, m, "Success", "Waiting for Event completed.");
-		AST_RWLIST_RDLOCK(&all_events);
 		while ((eqe = advance_event(eqe))) {
 			if (((s->session->readperm & eqe->category) == eqe->category) &&
 			    ((s->session->send_events & eqe->category) == eqe->category)) {
@@ -2842,7 +2841,6 @@
 			}
 			s->session->last_ev = eqe;
 		}
-		AST_RWLIST_UNLOCK(&all_events);
 		astman_append(s,
 			"Event: WaitEventComplete\r\n"
 			"%s"
@@ -4107,7 +4105,7 @@
 	ao2_lock(s->session);
 	if (s->session->f != NULL) {
 		struct eventqent *eqe = s->session->last_ev;
-		AST_RWLIST_RDLOCK(&all_events);
+
 		while ((eqe = advance_event(eqe))) {
 			if (!ret && s->session->authenticated &&
 			    (s->session->readperm & eqe->category) == eqe->category &&
@@ -4119,7 +4117,6 @@
 			}
 			s->session->last_ev = eqe;
 		}
-		AST_RWLIST_UNLOCK(&all_events);
 	}
 	ao2_unlock(s->session);
 	return ret;
